﻿<?xml version="1.0" encoding="utf-8"?>
<Dashboard >
  <Title Text="Appointments Overview" Alignment="Left" />
  <DataSources>
    <ObjectDataSource Name="Appointments" ComponentName="dsAppointments">
      <DataSource Type="CMS.AppointmentsOverviewData+DataItem, CMS, Version=19.1.0.0, Culture=neutral, PublicKeyToken=null" />
    </ObjectDataSource>
  </DataSources>
  <Items>
    <RangeFilter ComponentName="range" Name="Filter by Date" DataSource="dsAppointments">
      <DataItems>
        <Dimension DataMember="CurrentDate" Name="Date" DateTimeGroupInterval="DayMonthYear" DefaultId="CurrentDateDataItem" />
        <Dimension DataMember="Type" DefaultId="TypeDataItem" />
        <Measure DataMember="Appointments" DefaultId="AppointmentsDataItem" >
          <NumericFormat   FormatType="General"  Precision="0"   IncludeGroupSeparator="true" />
        </Measure>
      </DataItems>
      <SeriesDimensions>
        <SeriesDimension DefaultId="TypeDataItem" />
      </SeriesDimensions>
      <Argument DefaultId="CurrentDateDataItem" />
      <Series>
        <Simple SeriesType="StackedLine">
          <Value DefaultId="AppointmentsDataItem" />
        </Simple>
      </Series>
      <DateTimePeriods>
        <DateTimePeriod Name="6 Months">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Month" Offset="-5" />
          </StartLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="12 Months">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Month" Offset="-11" />
          </StartLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="Quarter to date">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Quarter" />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Interval="Day" />
          </EndLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="Year to date">
          <StartLimit>
            <FlowDateTimePeriodLimit />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Interval="Day" />
          </EndLimit>
        </DateTimePeriod>
      </DateTimePeriods>
    </RangeFilter>
    <Grid ComponentName="gridAppointmentsByCreator" Name="Appointments by Creator" DataSource="dsAppointments">
      <InteractivityOptions MasterFilterMode="Multiple" />
      <DataItems>
        <Measure DataMember="Appointments" DefaultId="AppointmentsDataItem" >
          <NumericFormat  FormatType="General"  Precision="0"  IncludeGroupSeparator="true" />
        </Measure>
        <Dimension DataMember="Creator" SortOrder="Descending" SortByMeasure="AppointmentsDataItem" DefaultId="CreatorDataItem" />
        <Dimension DataMember="CurrentDate" DateTimeGroupInterval="MonthYear" DefaultId="CurrentDateDataItem" />
      </DataItems>
      <GridColumns>
        <GridDimensionColumn Name="Creator" Weight="85.6135653213202" FixedWidth="14.16">
          <Dimension DefaultId="CreatorDataItem" />
        </GridDimensionColumn>
        <GridMeasureColumn Name="Appointments" Weight="77.8305139284729" FixedWidth="20.98">
          <Measure DefaultId="AppointmentsDataItem" >
            <NumericFormat  FormatType="General"  Precision="0"  IncludeGroupSeparator="true" />
          </Measure>
          <Totals>
            <Total Type="Sum" />
          </Totals>
        </GridMeasureColumn>
      </GridColumns>
      <GridOptions ShowVerticalLines="false" ColumnWidthMode="Manual" />
    </Grid>
    <Chart ComponentName="chartAppointmentsByType" Name="Appointments by Sale Item" DataSource="dsAppointments">
      <DataItems>
        <Measure DataMember="Appointments" DefaultId="AppointmentsDataItem" >
          <NumericFormat  FormatType="General"  Precision="0"  IncludeGroupSeparator="true" />
        </Measure>
        <Dimension DataMember="CurrentDate" DateTimeGroupInterval="DayMonthYear" DefaultId="CurrentDateDataItem">
          <DateTimeFormat DateFormat="Long" />
        </Dimension>
        <Dimension DataMember="Type" DefaultId="TypeDataItem" />
      </DataItems>
      <SeriesDimensions>
        <SeriesDimension DefaultId="TypeDataItem" />
      </SeriesDimensions>
      <Arguments>
        <Argument DefaultId="CurrentDateDataItem" />
      </Arguments>
      <Panes>
        <Pane Name="Pane">
          <AxisY TitleVisible="false" Title="Appointments" AlwaysShowZeroLevel="false" Logarithmic="true" />
          <Series>
            <Simple Name="Appointments (Sum)" SeriesType="Line">
              <Value DefaultId="AppointmentsDataItem" />
            </Simple>
          </Series>
        </Pane>
      </Panes>
      <ChartLegend InsideCMSition="TopLeftVertical" />
      <AxisX>
        <DateTimeFormat DateFormat="Short" />
      </AxisX>
    </Chart>
    <Card ComponentName="typeCards" Name="Appointments Types" ShowCaption="false" DataSource="dsAppointments"  >
      <InteractivityOptions MasterFilterMode="Multiple" />
      <DataItems>
        <Dimension DataMember="Type" DefaultId="TypeDataItem" />
        <Measure DataMember="Appointments" DefaultId="AppointmentsDataItem">
          <NumericFormat  FormatType="General"  Precision="0"  IncludeGroupSeparator="true" />
        </Measure>
      </DataItems>
      <SeriesDimensions>
        <SeriesDimension DefaultId="TypeDataItem" />
      </SeriesDimensions>
      <Card>
        <ActualValue DefaultId="AppointmentsDataItem" />
        <LayoutTemplate MinWidth="100" MinHeight="50" Type="Centered">
          <MainValue Visible="true" ValueType="Title" DimensionIndex="0"  />
        </LayoutTemplate>
      </Card>
    </Card>
  </Items>
  <LayoutTree>
    <LayoutGroup Orientation="Vertical" Weight="100">
      <LayoutGroup Weight="60">
        <LayoutItem DashboardItem="chartAppointmentsByType" Weight="60" />
        <LayoutItem DashboardItem="gridAppointmentsByCreator" Weight="40" />
      </LayoutGroup>
      <LayoutGroup Orientation="Vertical" Weight="40">
        <LayoutItem DashboardItem="typeCards" Weight="60" />
        <LayoutItem DashboardItem="range" Weight="40" />
      </LayoutGroup>
    </LayoutGroup>
  </LayoutTree>
</Dashboard>